Altibase.jdbc.driver.cm

## Class CmProtocolContextConnect

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext
  - - Altibase.jdbc.driver.cm.CmProtocolContextConnect

Direct Known Subclasses:
  CmProtocolContextShardConnect

    public class CmProtocolContextConnect
    extends CmProtocolContext

### Constructor Summary

Constructors
Constructor and Description
`CmProtocolContextConnect()`
`CmProtocolContextConnect(CmChannel aChannel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProperty(short aKey, boolean aValue)`
`void` `addProperty(short aKey, byte aValue)`
`void` `addProperty(short aKey, Column aValue)`
`void` `addProperty(short aKey, int aValue)`
`void` `addProperty(short aKey, long aValue)`
`void` `addProperty(short aKey, java.lang.String aValue)`
`void` `clearProperties()`
`java.lang.String` `getCharsetName()`
`CmConnectExResult` `getConnectExResult()`
`byte` `getExplainPlanMode()`
`CmHandshakeResult` `getHandshakeResult()`
`int` `getIsolationLevel()`
`int` `getLobCacheThreshold()`
`java.lang.String` `getNCharsetName()`
`Column` `getPropertyColumn(short aKey)`
`CmGetPropertyResult` `getPropertyResult()`
`CmShardHandshakeResult` `getShardHandshakeResult()`
`ShardTransactionLevel` `getShardTransactionLevel()`
`boolean` `isSetProperty(short aKey)`
`boolean` `isSetPropertyResult(short aKey)`
`java.lang.String` `toString()`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContext

`addCmResult, addError, channel, clearCmResult, clearError, getCmResult, getError, setChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CmProtocolContextConnect

    public CmProtocolContextConnect(CmChannel aChannel)

#### CmProtocolContextConnect

    public CmProtocolContextConnect()

### Method Detail

#### getHandshakeResult

    public CmHandshakeResult getHandshakeResult()

#### getShardHandshakeResult

    public CmShardHandshakeResult getShardHandshakeResult()

#### getConnectExResult

    public CmConnectExResult getConnectExResult()

#### getPropertyResult

    public CmGetPropertyResult getPropertyResult()

#### addProperty

    public void addProperty(short aKey,
                            java.lang.String aValue)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addProperty

    public void addProperty(short aKey,
                            long aValue)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addProperty

    public void addProperty(short aKey,
                            int aValue)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addProperty

    public void addProperty(short aKey,
                            byte aValue)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addProperty

    public void addProperty(short aKey,
                            boolean aValue)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addProperty

    public void addProperty(short aKey,
                            Column aValue)

#### clearProperties

    public void clearProperties()

#### getPropertyColumn

    public Column getPropertyColumn(short aKey)

#### isSetProperty

    public boolean isSetProperty(short aKey)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isSetPropertyResult

    public boolean isSetPropertyResult(short aKey)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getLobCacheThreshold

    public int getLobCacheThreshold()
                             throws java.lang.NumberFormatException,
                                    java.sql.SQLException

Throws:
  `java.lang.NumberFormatException`
  `java.sql.SQLException`

#### getCharsetName

    public java.lang.String getCharsetName()
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNCharsetName

    public java.lang.String getNCharsetName()
                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getExplainPlanMode

    public byte getExplainPlanMode()
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getIsolationLevel

    public int getIsolationLevel()
                          throws java.lang.NumberFormatException,
                                 java.sql.SQLException

Throws:
  `java.lang.NumberFormatException`
  `java.sql.SQLException`

#### getShardTransactionLevel

    public ShardTransactionLevel getShardTransactionLevel()
                                                   throws java.lang.NumberFormatException,
                                                          java.sql.SQLException

Throws:
  `java.lang.NumberFormatException`
  `java.sql.SQLException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`